#include <types/model.h>

void Model::load(const std::string& file) {
    if (file.ends_with(".obj"))
        loadOBJ(file);
}

const std::vector<Vector3>& Model::getVertices() {
    return vertices;
}

const std::vector<uint>& Model::getIndices() {
    return indices;
}

const std::vector<TextureInformation>& Model::getTextureInformation() {
    return textureInfo;
}

Model::Model(const std::string &file) {
    load(file);
}

std::vector<SkeletalVertex> &SkeletalModel::getSkeletalertices() {
    return vertices;
}
